/* ------------------------------------------------------------------
   
	Program	: 01_12_Cable.cpp
	Date	   : Apr 7, 2004

  Description: this program computes the charges for a cable 
  installation based on the number of installations and the
  yards of cable installed.
  

  Topics to discuss:
    Constants
	Declarations
	Identifiers
 ------------------------------------------------------------------ */

#include <iostream>       
#include <iomanip>            
using namespace std;                 


 const double INSTALL_CHARGE      = 25.00;
 const double CABLE_COST_PER_FOOT =  2.17;


int main()
{  int    installations;
   double yardsOfCable, installRevenue, cableRevenue, totalRevenue;


  cout << "Enter the number of cable installations\n"
       << "followed by the total yards of cable installed: ";  
  cin >> installations >> yardsOfCable;

  installRevenue = INSTALL_CHARGE * installations;
  cableRevenue   = CABLE_COST_PER_FOOT * yardsOfCable * 3.0;
  totalRevenue   = installRevenue + cableRevenue;

  cout << "\nThe total revenue for these installations is $"
       << fixed << showpoint << setprecision(2) << totalRevenue 
       << endl  << endl;

  return 0;
}

