/* ---------------------------------------------------------

	Program		: 02_05_Ranges.cpp
	Date		   : Apr 7, 2004
	Version		: 1.0

  Description: this pgm displays some of the pre-defined 
  constants in the climits and cfloat header files.
  --------------------------------------------------------- */

#include <iostream>
#include <climits>
#include <cfloat>
using namespace std;

void main()
{  char ch;

	   // Integer types
	cout << "Char max           : " << CHAR_MAX   << endl;
	cout << "Char min           : " << CHAR_MIN   << endl;
	cout << "Unsigned char max  : " << UCHAR_MAX  << "\n\n";


	cout << "Short min          : " << SHRT_MIN   << endl;
	cout << "Short max          : " << SHRT_MAX   << endl;
	cout << "Unsigned short max : " << USHRT_MAX  << "\n\n";

 	cout << "Int  max           : " << INT_MAX    << endl;
	cout << "Int  min           : " << INT_MIN    << endl;
	cout << "Unsigned int max   : " << UINT_MAX   << "\n\n";

	cout << "Long max           : " << LONG_MAX   << endl;
	cout << "Long min           : " << LONG_MIN   << endl;
	cout << "Unsigned long max  : " << ULONG_MAX  << "\n\n";
	cout << endl << endl;
	cin.get(ch);


      // Real number types
	cout << "Float              : " << FLT_DIG 
        << " decimal digits of precision\n";
	cout << "                   : " << FLT_MANT_DIG 
        << " bits in mantissa\n";
	cout << "FLoat max          : " << FLT_MAX    << endl;
	cout << "Float min          : " << FLT_MIN    << "\n\n";

	cout << "Double             : " << DBL_DIG 
        << " decimal digits of precision\n";
	cout << "                   : " << DBL_MANT_DIG 
        << " bits in mantissa\n";
	cout << "Double max         : " << DBL_MAX    << endl;
	cout << "Double min         : " << DBL_MIN    << "\n\n";

}