 
/* ---------------------------------------------------------
 Program	   : 02_10_Setw.cpp   
 Topic		: Fundamental Data Types
 Date		   : Apr 7, 2004
 
 Topic:  investigate the semantics of the setw() manipulator.
 --------------------------------------------------------- */

#include <iostream>
#include <iomanip>
using namespace std;


void main()
{
	int num1 = 2897, num2 = 5,    num3 = 837,
	    num4 = 34,   num5 = 7,    num6 = 1623,
       num7 = 390,  num8 = 3456, num9 = 12;
	
	// Display the first row of numbers
	cout << num1 << "  "; 
	cout << num2 << "  "; 
	cout << num3 << endl;

	// Display the second row of numbers
	cout << num4 << "  "; 
	cout << num5 << "  "; 
	cout << num6 << endl;

	// Display the third row of numbers
	cout << num7 << "  ";
	cout << num8 << "  "; 
	cout << num9 << "\n\n\n";



	// Display the first row of numbers
	cout << setw(4) << num1 << "  ";
	cout << setw(4) << num2 << "  ";
	cout << setw(4) << num3 << endl;

	// Display the second row of numbers
	cout << setw(4) << num4 << "  ";
	cout << setw(4) << num5 << "  ";
	cout << setw(4) << num6 << endl;

	// Display the third row of numbers
	cout << setw(4) << num7 << "  ";
	cout << setw(4) << num8 << "  ";
	cout << setw(4) << num9 << "\n\n\n";


	int   iVal = 3928;
	float fVal = 91.5;
	char  str[] = "John J. Smith";

	cout << "(" << setw(5)  << iVal << ")" << endl;
	cout << "(" << setw(8) 
         << fixed << showpoint 
         << setprecision(4)
         << fVal << ")" << endl;
	cout << "(" << setw(14) << str  << ")" << endl;


}
