
/* ---------------------------------------------------------
 Program	   : 02_15_StrInput.cpp   
 Topic	   : Fundamental Data Types
 Date		   : Apr 7, 2004

 This program demonstrates how cin.getline()  can
 be used to enter a string with spaces, while the extraction
 operator stops at white space.
 --------------------------------------------------------- */
#include <iostream>
#include <iomanip>
#include <string>
using namespace std;


void main(void)
{
/*
 {
	char buffer[81];


   cout << "Enter a short sentence of 3 words: ";
	cin.getline(buffer,81);
	cout << "\n\n With getline, you entered:    " << buffer << endl;

   cout << "\n\n\n Enter the same sentence: ";
   cin  >> buffer;
	cout << "\n\n Using extraction you entered: " << buffer << endl;

    
	cin >> buffer;
	cout << "\n\nEven more confusing ... using extraction again: "
         << buffer << endl << endl;

	cin >> buffer;
	cout << "\n\n ... and extraction again: "
         << buffer << endl << endl;

	cin >> buffer;
	cout << "\n\n ... and again: "
         << buffer << endl << endl;
	cin.getline(buffer,81);
  }
*/

  {
	string sentence;

   cout << "Enter a short sentence of 3 words: ";
	getline(cin,sentence);
	cout << "\n\n With getline, you entered:    " << sentence << endl;

   cout << "\n\n\n Enter the same sentence: ";
   cin  >> sentence;
	cout << "\n\n Using extraction you entered: " << sentence << endl;

    
	cin >> sentence;
	cout << "\n\nEven more confusing ... using extraction again: "
         << sentence << endl << endl;

	cin >> sentence;
	cout << "\n\n ... and extraction again: "
         << sentence << endl << endl;


 }
}
