
/* ---------------------------------------------------------
 Program	: 04_04_Mols.cpp  
 Topic	: Expressions
 Date		: Apr 7, 2004
 Description: Compute number of molecules in a a hydrocarbon
 --------------------------------------------------------- */

#include <iostream>
using namespace std;

const double    CarbonAMU    = 12.000;
const double    HydrogenAMU  =  1.008;
const double	 AvogadroNmbr = 6.023e23;

int main()
{	float  Mass;
	int    CarbonAtoms;
	int    HydrogenAtoms;
	double FormulaWt;
	double Molecules;

	cout << "Enter mass of hydrocarbon (in grams)\n"
	"followed by the number of carbon atoms\n"
	"followed by the number of hydrogen atoms\n"
	 "(e.g. 10.5 2 6): ";
	cin >> Mass >> CarbonAtoms >> HydrogenAtoms;

	FormulaWt = CarbonAtoms*CarbonAMU + HydrogenAtoms*HydrogenAMU;


	Molecules = Mass / FormulaWt * AvogadroNmbr;
	cout << Mass << " grams of a hydrocarbon\nwith "
	 << CarbonAtoms << " carbon atom(s) and "
	 << HydrogenAtoms << " hydrogen atom(s)\ncontains "
	 << Molecules << " molecules" << endl;

	return 0;
}

