// -------------------------------------------------------------
//    Program:  05_03_ARGPROMO.CPP
//       Date:  Apr 8, 2004
//
// This pgm illustrates how flexible the C++ function prototyping
//  mechanism is.  In the second call to add3() below, the first
//  argument is converted to a double value by the multiplication
//  then back to an int by the strict prototyping.
// -------------------------------------------------------------

#include <iostream>
using namespace std;

int				add3(int,int,int);
inline double	average(int s) { return (s/3.); }


void main()
{
	int s1,s2,s3,sum;

	cout << "\nEnter 3 integer scores: ";
	cin >> s1 >> s2 >> s3;

	sum = add3(s1,s2,s3);
	cout << "\nTheir sum is " << sum << endl;

	sum = add3(1.5*s1,s2,s3);         // This would be an error in std C
	cout << "\nThe weighted sum is " << sum << endl;

	cout << "\nThe weighted avg is " << average(sum) << endl;
}


int add3(int a, int b, int c)
{ return (a+b+c);
}