
/* ---------------------------------------------------------
 Program	: 05_06_StaticCast.cpp   
 Topic	: Type Conversion 
 Date		: Apr 8, 2004
 
 Uncomment individual lines and recompile.
 --------------------------------------------------------- */
#include <iostream>
using namespace std;

#define P(EX) cout << #EX << ": " << EX << endl << endl;

void func(int x)
{ int y = x + 3; }



void main() {
  int	  i = 32767,j;
  long  l;
  float f;


/*
	// Typical automatic conversions:
  l = i;
  f = i;
  P(i);  P(l);  P(f);

	// Explicit cast: note styles
//  l = long(i);
//  f = (float) i;
*/


	// Narrowing conversions:
  f = 1.2E12f;
  l = 0x3ffffffa;
  func(f);
  func(l);
  
  i = l; // May lose digits
  j = f; 
    P(i);  P(l); P(j); P(f);

	// Casts eliminates warnings:
//  i = static_cast<int>(l);
//  i = static_cast<int>(f);
  char c = static_cast<char>(i);


	// Implicit type conversions, normally performed by the compiler:
  double d = 0.0;
  int x = d;				     // Automatic	
  x = double(d);             // Explicit
// x = static_cast<int>(d);
  func(d);					     // Automatic type conversion
  func(static_cast<int>(d)); // More explicit
} 
