
/* ---------------------------------------------------------
 Program	   : 08_38_SubStr.cpp  
 Topic		: Modifying Objects

 Date		   : Apr 8, 2004

 Description: Convert a date from American format to
              international format

 --------------------------------------------------------- */

#include <iostream>
#include <string>
using namespace std;

int main() 
{
 string Date, Month, Day, Year, NewDate;
 int    i,k;

     // Prompt for and read the date
   cout << "Enter the date in American format "
    << "(e.g., December 29, 1953) : " << endl;   
   getline(cin, Date, '\n');


     // Get the month by finding the first blank character
   i     = Date.find(" ");
   Month = Date.substr(0, i);

     // Get the day by finding the comma character
   k     = Date.find(",");
   Day   = Date.substr(i + 1, k - i - 1);

     // Get the year by getting the substring from the blank
     // following the comma through the end of the string
   Year    = Date.substr(k + 2, Date.size() - 1);
   NewDate = Day + " " + Month + " " + Year;

   cout << "\nOriginal date: " << Date << endl;
   cout << "Converted date: " << NewDate << endl << endl;
   return 0;
}

