/* ---------------------------------------------------------
 Program	: 08_41_StrFcns.cpp  
 Topic	: Modifying Objects

 Date		: Apr 8, 2004 
 --------------------------------------------------------- */

#include <iostream>
#include <iomanip>
#include <string>
using namespace std;


int main()
{
   char x[] = "Happy Birthday to You";
   char y[ 25 ], z[ 15 ];

   cout << "The string in array x is: " << x
        << "\nThe string in array y is: " << strcpy( y, x )
        << '\n';
   strncpy( z, x, 14 );  // does not copy null character
   z[ 14 ] = '\0';
   cout << "The string in array z is: " << z << endl;


   char s1[ 20 ] = "Happy ";
   char s2[] = "New Year ";
   char s3[ 40 ] = "";

   cout << "s1 = " << s1 << "\ns2 = " << s2;
   cout << "\nstrcat(s1, s2) = " << strcat( s1, s2 );
   cout << "\nstrncat(s3, s1, 6) = " << strncat( s3, s1, 6 );
   cout << "\nstrcat(s3, s1) = " << strcat( s3, s1 ) << endl << endl;


   char s4[] = "Happy New Year";
   char s5[] = "Happy New Year";
   char s6[] = "Happy Holidays";
 
   cout << "s4 = " << s4 << "\ns5 = " << s5
        << "\ns6 = " << s6 << "\n\nstrcmp(s4, s5) = " 
        << setw( 2 ) << strcmp( s4, s5 ) 
        << "\nstrcmp(s4, s6) = " << setw( 2 ) 
        << strcmp( s4, s6 ) << "\nstrcmp(s6, s4) = " 
        << setw( 2 ) << strcmp( s6, s4 );

   cout << "\n\nstrncmp(s4, s6, 6) = " << setw( 2 ) 
        << strncmp( s4, s6, 6 ) << "\nstrncmp(s4, s6, 7) = " 
        << setw( 2 ) << strncmp( s4, s6, 7 ) 
        << "\nstrncmp(s6, s4, 7) = " 
        << setw( 2 ) << strncmp( s6, s4, 7 ) << endl << endl;


   return 0;
}


