/* ------------------------------------------------------------
  
    Program : 09_07_IfError.cpp
    Date	   : Apr 8, 2004
    
	 Topic	: else associates with nearest unmatched if
             
			  Sometimes indentation expressing user's intention
			  is not syntactically supported.

			  Run the program with fuel gauge readings of
				0.3,  0.6  and 0.9.
  ------------------------------------------------------------ */
#include <iostream>
#include <iomanip>
using namespace std;


int main( )
{
    double fuel_gauge_reading;

    cout << "Enter fuel gauge reading ( .3 < reading < 1 ): ";
    cin >> fuel_gauge_reading;

    cout << "First with braces:\n";
    if (fuel_gauge_reading < 0.75)
    {
        if (fuel_gauge_reading < 0.25)
            cout << "Fuel very low. Caution!\n";
    }
    else
    {
        cout << "Fuel over 3/4. Don't stop now!\n";
    }

    cout << "Now without braces:\n";
    if (fuel_gauge_reading < 0.75)
        if (fuel_gauge_reading < 0.25)
            cout << "Fuel very low. Caution!\n";
    else
        cout << "Fuel over 3/4. Don't stop now!\n";

    return 0;
}

