
/* ---------------------------------------------------------
 Program	   : 09_21_SwitchFallThru.cpp   
 Topic		: Selection
 Date		   : Apr 8, 2004 
 --------------------------------------------------------- */
#include <iostream>
using namespace std;


void main()
{
	char Choice;

	cout << "Enter A, B, or C: ";
	cin >> Choice;

	switch (Choice)
	{
		case 'A':	cout << "You entered A.\n";
					   break;
		case 'B':	cout << "You entered B.\n";
					   break;
		case 'C':	cout << "You entered C.\n";
					   break;
		default:	cout << "You did not enter A, B, or C!\n";
	}


		// Here fall-through semantics are undesirable
	cout << "Enter A, B, or C: ";
	cin >> Choice;
	switch (Choice)
	{
		case 'A':	cout << "You entered A.\n";
		case 'B':	cout << "You entered B.\n";
		case 'C':	cout << "You entered C.\n";
		default:	cout << "You did not enter A, B, or C!\n";
	}


		// In this case the fall-through semantics are utilized
        // to advantage

	int ModelNum;

	cout << "Our TVs come in three models:\n";
	cout << "The 100, 200, and 300. Which do you want? ";
	cin >> ModelNum;
	cout << "That model has the following features:\n";
	switch (ModelNum)
	{
		case 300:	cout << "\tPicture-in-a-picture.\n";
		case 200:	cout << "\tStereo sound.\n";
		case 100:	cout << "\tRemote control.\n";
					break;
		default:	cout << "You can only choose the 100,";
					cout << "200, or 300.\n";
	}


		// A useful feature of the fall-through
        // semantics is the cascading of case statements
	char FeedGrade;

	cout << "Our dog food is available in three grades:\n";
	cout << "A, B, and C. Which do you want pricing for? ";
	cin >> FeedGrade;
	switch(FeedGrade)
	{
		case 'a':
		case 'A':	cout << "30 cents per pound.\n";
					break;
		case 'b':
		case 'B':	cout << "20 cents per pound.\n";
					break;
		case 'c':
		case 'C':	cout << "15 cents per pound.\n";
					break;
		default:	cout << "That is an invalid choice.\n";
	}

}
