/* ------------------------------------------------------------------
	Program	: 09_23_Temperature.cpp
	File	   : temperature3.cpp
	Date	   : Apr 8, 2004


  Description: this program interconverts among several temperature
  scales.  The student must supply the conversion function definitions.

  Discuss: local header files vs library header files
 ------------------------------------------------------------------ */

#include <iostream>              
#include <string> 
#include "09_23_Proto.h"
using namespace std;                 

   const string MENU = "To convert arbitrary temperatures, enter:\n"
                       "   A - to convert Fahrenheit to Celsius;\n"
                       "   B - to convert Celsius to Fahrenheit;\n"
                       "   C - to convert Celsius to Kelvin;\n"
                       "   D - to convert Kelvin to Celsius;\n"
                       "   E - to convert Fahrenheit to Kelvin; or\n"
                       "   F - to convert Kelvin to Fahrenheit.\n"
                       "--> ";


void main()
{ char conversion;
  double temperature, result;

   cout << MENU;   
   cin >> conversion;

   cout << "\nEnter the temperature to be converted: ";
   cin >> temperature;

  
   switch (conversion)
   {
      case 'A': case 'a':
                           result = FahrToCelsius(temperature);
                           break;
      case 'B': case 'b':
                           result = CelsiusToFahr(temperature);
                           break;
      case 'C': case 'c':
                           result = CelsiusToKelvin(temperature);
                           break;
      case 'D': case 'd':
                           result = KelvinToCelsius(temperature);
                           break;
      case 'E': case 'e':
                           result = FahrToKelvin(temperature);
                           break;
      case 'F': case 'f':
                           result = KelvinToFahr(temperature);
                           break;
      default:
                           cerr << "\n*** Invalid conversion: " 
                                << conversion << endl;
                           result = 0.0;
   }

   cout << "The converted temperature is " << result << endl;
}


double FahrToCelsius(double tempFahr)
{
   return ( tempFahr - 32.)*5/9;
}   

double CelsiusToFahr(double tempCels){return 0;}     

double FahrToKelvin(double tempFahr){return 0;}    

double KelvinToFahr(double tempKelv){return 0;}      

double CelsiusToKelvin(double tempCels){return 0;} 

double KelvinToCelsius(double tempKelv){return 0;}    

