/* ---------------------------------------------------------
 Program	: 09_31_ValidDate.cpp
 Topic		: Selection
 
 Date		: May 24, 2000
 
Determine whether user date is valid
 
 --------------------------------------------------------- */
#include <iostream>
#include <string>
using namespace std;


int main()
{ 	int Month, Day, Year;
	int DaysInFebruary,	DaysInMonth;

	enum MonthsOfYear {January = 1, February = 2,
		March = 3, April = 4, May = 5, June = 6,
		July = 7, August = 8, September = 9,
		October = 10, November = 11, December = 12};

	// prompt and extract date
	cout << "Please supply a date (mm dd yyyy) -- digits only: ";
	cin >> Month >> Day >> Year;

	// compute days in February
	if ((Year % 4) != 0)
		DaysInFebruary = 28;
	else if ((Year % 400) == 0)
		DaysInFebruary = 29;
	else if ((Year % 100) == 0)
		DaysInFebruary = 28;
	else
		DaysInFebruary = 29;

	// if month is valid, determine how many days it has

	switch (Month)
   {
		case January: case March: case May: case July:
		case August:  case October: case December:
			          DaysInMonth = 31;
			          break;
		case April: case June: case September:
		case November:
			          DaysInMonth = 30;
			          break;
		case February:
			          DaysInMonth = DaysInFebruary;
			          break;
		default:
			cout << "Invalid month: " << Month << endl;
			return 1;
	}

	// determine whether input day is valid
	if ((Day < 1) || (Day > DaysInMonth)) {
		cout << "Invalid day of month: " << Day << endl;
		return 1;
	}

	// display result
	cout << Month << "/" << Day << "/" << Year
	<< " is a valid date" << endl;

	return 0;
}



