
/* ---------------------------------------------------------
 Program	   : 10_27_Duplicate.cpp   
 Topic		: Repetition
 Date		   : June 17, 2001
 
 Detects and reports consecutive duplicate strings in input 

 --------------------------------------------------------- */
#include <iostream>
#include <string>
using namespace std;


int main() 
{
	// prepare for string processing of duplicates
	string s, prev = "";
	int count = 0;


	cout << "Enter text for consecutive duplicate detection"
			<< endl << endl;		
	while (cin >> s) 
    {
		// process current string s 
		if (s == prev) 
			++count;		
		else 
         { // s is not a duplicate
			if (count > 1) {
				// previous duplicate run needs to be reported
				cout << "\"" << prev << "\" occurs " << count
				  << " times in a row" << endl;
			}
			// s is a run of size 1 so far
			prev = s;
			count = 1;
		 }
	}
	// finish up string processing of duplicates
	if (count > 1) {
		// text ended with a string of duplicates
		cout << "\"" << prev << "\" occurs " << count
		<< " times in a row" << endl;
	}
	return 0;
}



