
/* ---------------------------------------------------------
 Program	   : 11_05_NestedCall.cpp   
 Topic		: Functions
 
 Date		   : Apr 8, 2004
 
 Run this program in the debugger and open the Call Stack
 window to follow the function invocations.
 --------------------------------------------------------- */
#include <iostream>
using namespace std;


void First();
void Second();
void Deep();
void Deeper();


void main()
{
    cout << "-------------- within main() -----------------------------\n\n";
	 cout << "I am starting in function main.\n";
    cout << "\nmain() will call First(), then Second(), then Deep()\n";
    cout << "Press a key to get started\n\n";
    cin.get();
	First();

	
	cout << "I am back in function main. Press a key to call Second()\n\n";
    cin.get();
	Second();	

	cout << "I am back in function main.\n";
	cout << "Press a key to invoke Deep()\n\n";
    cin.get();
	Deep();

	cout << "Back in function main again, about to terminate.\n";
    cin.get();
    cout << "--------------- end of main() -----------------------------\n";

}



void First()
{
    cout << "---------------- within First() -----------------------\n";
	 cout << "I am now inside the function First.\n\n";
    cout << "Press a key to leave First() and go back to main()\n\n";
    cin.get();
    cout << "goodbye, from First(), going back to main\n\n";
    cout << "----------------- end of First() --------------------------\n\n\n";
}


void Second()
{
    cout << "---------------- within Second() -----------------------\n";
	 cout << "I am now inside the function Second.\n";
    cout << "Press a key to leave Second() and go back to main()\n\n";
    cin.get();
    cout << "goodbye, from Second(), going back to main\n\n";
    cout << "------------------ end of Second() --------------------------\n\n\n";
}



void Deep()
{
	 cout << "---------------- within Deep() -----------------------\n";
  	 cout << "I am now inside the function Deep.\n";
    cout << "Press a key to leave Deep() and call Deeper()\n\n";
    cin.get();

	 Deeper();	

	 cout << "Now I am back in Deep(), about to exit to caller main().\n\n";
    cin.get();
    cout << "------------------ end of Deep() --------------------------\n\n\n";
}


void Deeper()
{
	 cout << "---------------- within Deeper() -----------------------\n";
	 cout << "I am now inside the function Deeper.\n";
    cout << "Press a key to leave Deeper() and go back to its caller Deep()\n\n";
    cin.get();
    cout << "------------------ end of Deeper() ------------------------\n\n\n";
}
