
/* ---------------------------------------------------------
 Program	   : 11_25_ThinkAboutIt.cpp 
 Topic		: Functions
 Date		   : Apr 9, 2004
 --------------------------------------------------------- */

int* f(int* x) {
  (*x)++;
  return x; // Safe, x is outside this scope
}

int& g(int& x) {
  x++; // Same effect as in f()
  return x; // Safe, outside this scope
}

int& h() {
//  int q;
//  return q;  // Error
  static int x;
  return x; // Safe, x lives outside this scope
}

void main() {
  int a = -1;
  f(&a); // Ugly (but explicit)
  g(a);  // Clean (but hidden)
} 
