
/* ---------------------------------------------------------
 Program	: ValueParms.cpp    
 Date		: June 18, 2001

 
 This program demonstrates that changes to a function parameter
 that is declared as a value parameter have no affect on the 
 original argument used in the function invocation.
 
 --------------------------------------------------------- */
#include <iostream>
using namespace std;

void ChangeThem(int , float);
// void ChangeThem(int &, float&);


void main(void)
{
	int   Whole = 12;
	float Real  = 3.5;

	cout << "In main the values of Whole and Real are: " 
         << Whole << "    "  << Real << endl << endl;

	ChangeThem(Whole, Real);	

	cout << "Now after the call to ChangeThem() \n";
	cout << "In main the values of Whole and Real are: " 
         << Whole << "    "  << Real << endl << endl;
}



//void ChangeThem(int &I, float &F)
void ChangeThem(int I, float F)
{
    cout << "\n\nChangeThem received the following values: "
         << I << "    "  << F << endl << endl;
	I = 100;
	F = 27.5;	
	cout << "In ChangeThem the value of I is changed to ";
	cout << I << endl;
	cout << "and the value of F is changed to " << F << endl;
    cout << endl << endl;
}
