/* ------------------------------------------------------------   
    Program : 12_08_ChArray2.cpp
    Date	: Apr 12, 2004 
  ------------------------------------------------------------ */
#include <iostream>
#include <iomanip>
#include <string>
using namespace std;

const int MAX = 20;

void FillArray(char C[], int);		
void DisplayReverse(const char C[], int); 	



void main()
{
 char Characters[MAX];

	 FillArray(Characters, MAX);
	 DisplayReverse(Characters, MAX);
}  



void FillArray(char C[], const int size)
{ 	cout << "Enter a line of text with at least " << MAX << " characters" << endl;
    cin.getline(C, size);
} 


void DisplayReverse(const char C[], int size)
{
	cout << "\nThe characters that you entered in "
					"reverse order are: " << endl;
	for (int i = size -1; i >= 0; --i)
		cout << C[i];
    cout << endl << endl;
} 

