/* ------------------------------------------------------------
   
    Program : 12_11_Search.cpp
    Date	   : Apr 12, 2004    
  ------------------------------------------------------------ */
#include <iostream>
#include <iomanip>
using namespace std;


const int MAX = 50;


void FillArray(int arr[],const int size);	
int  SeqSearch(const int arr[], const int size, const int target);	
void DisplayArray(const int arr[], const int size);  		

void main()
{
   int arr[MAX], target;

   FillArray(arr, MAX);
   DisplayArray(arr, MAX);


   cout << "\nWhat element do you want to search for? " << endl;
   cin >> target;

   int index = SeqSearch(arr,MAX, target);


   if (index == -1)
     cout << "\nThe element " << target << " was not found in the array." << endl;
   else
     cout << "\nThe element " << target << " was found at "
						 "index [" << index << "] of the array." << endl;
}  



void FillArray(int arr[],const int size)
{
    srand(1);										
	 for (int i = 0; i < size; ++i) 	
			arr[i] = rand() % 100;
} 
 



void DisplayArray(const int arr[], const int size)
{
  cout << "\nThe contents of the array are:" << endl;
  for (int i = 0; i < size; ++i)
      {  if( i % 5 == 0 )  cout << endl;
         cout << ' ' << setw(4) << arr[i];
      } 
} 


int SeqSearch(const int a[], const int size, const int target)
{
	bool found = false; 			
	int i = 0;						


  while ((!found) && (i < size))
  {
    if (a[i] == target)   	
			 found = true;	
	 else				
			 ++i;
  } 

	if (found)
		return i;
	else
		return -1;
} 

