
/* ---------------------------------------------------------
 Program	:  12_14_StaticArray.cpp 
 Topic		: Structured Data Types
 
 Date		: May 24, 2000
 
 Static arrays are initialized to zero 
 --------------------------------------------------------- */


#include <iostream>
using namespace std;

void staticArrayInit( );
void automaticArrayInit( );



int main()
{
   cout << "First call to each function:\n";
   staticArrayInit();
   automaticArrayInit();

   cout << "\n\nSecond call to each function:\n";
   staticArrayInit();
   automaticArrayInit();
   cout << endl;

   return 0;
}



// function to demonstrate a static local array
void staticArrayInit( )
{
   static int array1[ 3 ];
   int i;

   cout << "\nValues on entering staticArrayInit:\n";

   for ( i = 0; i < 3; i++ )
      cout << "array1[" << i << "] = " << array1[ i ] << "  ";

   cout << "\nValues on exiting staticArrayInit:\n";

   for ( i = 0; i < 3; i++ )
      cout << "array1[" << i << "] = " 
           << ( array1[ i ] += 5 ) << "  ";
}



// function to demonstrate an automatic local array
void automaticArrayInit( )
{
   int i, array2[ 3 ];

   cout << "\n\nValues on entering automaticArrayInit:\n";

   for ( i = 0; i < 3; i++ )
      cout << "array2[" << i << "] = " << array2[ i ] << "  ";

   cout << "\nValues on exiting automaticArrayInit:\n";

   for ( i = 0; i < 3; i++ )
      cout << "array2[" << i << "] = " 
           << ( array2[ i ] += 5 ) << "  ";
}

