
/* ---------------------------------------------------------
 Program	   : 12_21_2DAra.cpp   
 Topic		: Structured Data Types
  Date		: Apr 12, 2004
 
 --------------------------------------------------------- */
#include <iostream>
#include <iomanip>
using namespace std;



void ShowArray(int [][4], int); 


void main(void)
{
	int Table1[3][4] = {{1, 2, 3, 4},
	                    {5, 6, 7, 8},
                        {9, 10, 11, 12}};
	int Table2[4][4] = {{10, 20, 30, 40},
	                    {50, 60, 70, 80},
                        {90, 100, 110, 120},
						{130, 140, 150, 160}};
	cout << "The contents of Table1 are:\n";
	ShowArray(Table1, 3);
	cout << "The contents of Table2 are:\n";
	ShowArray(Table2, 4);
}



void ShowArray(int Array[][4], int Rows)
// Function Definition for ShowArray.
// This function accepts a two-dimensional integer array as an
// argument. The array must have four columns. The second
// argument, Rows, specifies the number of rows in the array. The
// function displays the contents of the array.
{
	for (int X = 0; X < Rows; X++)
	{
		for (int Y = 0; Y < 4; Y++)
		{
			cout << setw(4) << Array[X][Y] << " ";
		}
		cout << endl;
	}
}
