
/* ---------------------------------------------------------
 Program	   : 12_38_StructArg.cpp   
 Topic		: Structured Data Types

 Date		   : Apr 12, 2004
 
 --------------------------------------------------------- */
#include <iostream>
#include <iomanip>
using namespace std;


struct InvItem
{
	int   PartNum;			// Part number
	char  Description[50];  // Item description
	int   OnHand;			// Units on hand
	float Price;			// Unit price
};



void ShowItem(InvItem);	



void main()
{
	InvItem Part = {171, "Industrial Widget", 25, 150.0};

	ShowItem(Part);
}



void ShowItem(InvItem Piece)
{
	cout << fixed << showpoint << setprecision(2);
	cout << "Part Number: " << Piece.PartNum << endl;
	cout << "Description: " << Piece.Description << endl;
	cout << "Units On Hand: " << Piece.OnHand << endl;
	cout << "Price: $" << Piece.Price << endl;
}
