
/* ---------------------------------------------------------
 Program	   : 13_04_OpenFile.cpp   
 Topic		: File Operations
 
 Steps in using a file:
	1. Declare an fstream object
   2. Prompt for a file name (c-string)
	3. Open the file
	4. Verify
	5. Process the file
	6. Close the file
 --------------------------------------------------------- */
#include <iostream>
#include <fstream>
using namespace std;


void main()
{
	ifstream dataFile; 
	char fileName[81], word[16];

	cout << "Enter the name of a file you wish to open: ";
	cin >> fileName;

	dataFile.open(fileName);
	if (dataFile == 0)
	{
		cout << "File open error!" << endl;
		return;
	}
	
    cout << "\nThe file " << fileName << " contains the"
         << " following words:" << endl;
    for ( int i=0; i<4; ++i)
     { dataFile >> word;
       cout << word << endl;
     }
     

	cout << endl << endl;
	dataFile.close();	

}
