
/* ---------------------------------------------------------
 Program	   : 13_21_SeekgBin.cpp   
 Topic		: File Operations
 
 --------------------------------------------------------- */
#include <iostream>
#include <fstream>
using namespace std;


struct Info
{
	char Name[51];
	int  Age;
	char Address1[51];
	char Address2[51];
	char Phone[14];
};


long ByteNum(int);	
void ShowRec(Info);


void main()
{
	ifstream People;
	Info     person;

	People.open("people.dat",  ios::binary);
	if (People == 0)
	{
		cout << "Error opening file. Program aborting.\n";
		return;
	}

	cout << "Here is record 1:\n";
	People.seekg(ByteNum(1), ios::beg);
	People.read((char *)&person, sizeof(person));
	ShowRec(person);

	cout << "\nHere is record 0:\n";
	People.seekg(ByteNum(0), ios::beg);
	People.read((char *)&person, sizeof(person));
	ShowRec(person);
	People.close();
}



long ByteNum(int record)
{
	return sizeof(Info) * record;
}


void ShowRec(Info Record)
{
	cout << "Name: ";
	cout << Record.Name << endl;
	cout << "Age: ";
	cout << Record.Age << endl;
	cout << "Address line 1: ";
	cout << Record.Address1 << endl;
	cout << "Address line 2: ";
	cout << Record.Address2 << endl;
	cout << "Phone: ";
	cout << Record.Phone << endl;
}
