
/* ---------------------------------------------------------
 Program	   : 14_05_Indirection.cpp   
 Topic		: Pointers

 This program demonstrates the use of the indirection
 operator.
 
 --------------------------------------------------------- */
#include <iostream>
using namespace std;


void main(void)
{
	int X = 25, Y = 50, Z = 75;
	int *Ptr;

	cout << "Here are the values of X, Y, and Z:\n";
	cout << X << "  " << Y << "  " << Z << endl;

	Ptr = &X;  // Store the address of X in Ptr
	*Ptr *= 2; // Multiply value in X by 2

	Ptr = &Y;  // Store the address of Y in Ptr
	*Ptr *= 2;  // Multiply value in Y by 2

	Ptr = &Z;   // Store the address of Z in Ptr
	*Ptr *= 2;  // Multiply value in Z by 2

	cout << "Once again, here are the values of X, Y, and Z:\n";
	cout << X << "  " << Y << "  " << Z << endl;
}
