// 14_32_VptrCdata.cpp
// Printing a string one character at a time using
// a non-constant pointer to constant data

#include <iostream>
using namespace std;


void printCharacters( const char * );

int main()
{
   char string[] = "print characters of a string";

   cout << "The string is:\n";
   printCharacters( string );
   cout << endl;
   return 0;
}

// In printCharacters, sPtr is a pointer to a character 
// constant. Characters cannot be modified through sPtr 
// (i.e., sPtr is a "read-only" pointer).
void printCharacters( const char *sPtr )
{
   for ( ; *sPtr != '\0'; sPtr++ )   // no initialization
      cout << *sPtr;
}

