// 14_33_CptrCdata.cpp
// Attempting to modify a constant pointer to
// non-constant data


#include <iostream.h>

int main()
{
   int x = 5, y = 3;

   int * const ptr = &x; // ptr is a constant pointer to an 
                         // integer. An integer can be modified
                         // through ptr, but ptr always points 
                         // to the same memory location.
   *ptr = 7;
   ptr = &y;




   const int *const ptr = &x; // ptr is a constant pointer to a
                              // constant integer. ptr always 
                              // points to the same location 
                              // and the integer at that 
                              // location cannot be modified.
   cout << *ptr << endl;
   *ptr = 7;
   ptr = &y;

   return 0;
}


