/* ----------------------------------------------------------------
   File	:	SortUtils.cpp
	 Date	:	Oct 23, 2001

	 Description: 
   ---------------------------------------------------------------- */
#include <iostream>
#include "SortUtilsV1.h"
using namespace std;

void BubbleSort(int w[], const int size, bool (*inOrder)(int, int) )
{
  for (int pass=1; pass<size; ++pass)
  for (int i=0; i<size-1; ++i)
     if ( !(*inOrder)(w[i], w[i+1]) )
	    swap( &w[i], &w[i+1] );
}


void swap(int *x, int *y)
{ int temp;
   temp = *x;
   *x   = *y;
   *y   = temp;
}


bool ascending(int a, int b)
// Precondition: a, b are successive elements of
//  an integer array
{ return a < b;
}


bool descending(int a, int b)
// Precondition: a, b are successive elements of
//  an integer array
{ return a > b;
}


Order SelectOrder()
{ char ch, selection;
  
	do
	{
		cout << "\n Enter A(scending) or D(escending) ";
		cout << "Your choice (A,D): ";
		cin >> ch;
		selection = toupper(ch);
	} while (selection != 'A'  && selection != 'D');

    if (selection == 'D')
		return DESCENDING;
	else
		return ASCENDING;
}
