/* ----------------------------------------------------------------
    File	   :	SortUtilsV2.h
	 Date	   :	Mar 18, 2002

	 Description: this is a header file which contains prototypes
     for sorting utilities.
   ---------------------------------------------------------------- */

#ifndef ___SORT_UTILITIES_FOR_CS1462_CLASS_EXAMPLE
#define ___SORT_UTILITIES_FOR_CS1462_CLASS_EXAMPLE

enum Order { ASCENDING, DESCENDING };

Order SelectOrder();


void BubbleSort(int *w, const int size, bool (*inOrder)(int, int) );
void SelectionSort(int *w, const int size);

bool ascending(int a, int b);
bool descending(int a, int b);
void swap(int *x, int *y);
int  MinIndex(int *, int, int);


void FillArray(int *a, int size, int maxValue );
void DisplayArray(int *a, int size, int nPerLine);

#endif
