/* ---------------------------------------------------------
 Program	   : 01_06_Types.cpp   
 Date		   : Apr 7, 2004
 Topic		: C++ Fundamentals 

	Integer types: int, unsigned, long
	Real type: float, double
	Boolean: bool

	Just-in-time declarations
	Multiple declarations on one line
	Variable initialization
	Stream manipulators and <iomanip>
    Another escape sequence
 --------------------------------------------------------- */

#include <iostream>
#include <iomanip>
using namespace std;


void main()
{
	double		 checking;
	unsigned int miles;
	long		    days;

	checking = -21.45;
	miles    = 4276;
	days     = 184086;

	cout << "We have made a long journey of " << miles << " miles.\n";
	cout << "Our checking account balance is " <<  checking;
	cout << "\nExactly " << days << " days ago Columbus ";
	cout << "stood on this spot.\n\n\n";


   float  a = 95.3,  b = 78.5,  c = 85.2;   // append suffix 'f' to eliminate warnings
   double average, sum = 0.0;

   sum     = a+b+c;
   average = sum/3;

   cout << "The default output for the average is: " << average << endl;

   
   cout << fixed << showpoint << setprecision(2) <<  "After some formatting: "
	    << average << endl;



   bool val;

   val = true;
   cout << "\nThe boolean value \'true\' is printed as: " << val << endl;
   val = false;
   cout << "\nThe boolean value \'false\' is printed as: " << val << endl;
   cout << endl;

   cout << boolalpha << "\n\nAfter using the boolalpha manipulator: \n\n";
   val = true;
   cout << "\nThe boolean value \'true\' is printed as: " << val << endl;
   val = false;
   cout << "\nThe boolean value \'false\' is printed as: " << val << endl;
   cout << endl;

}
