/* ---------------------------------------------------------
 Program	   : 01_07_Character.cpp   
 Date		   : Apr 7, 2004

 Topic		: C++ Fundamentals 

 This program demonstrates the close relationship between
   characters and integers.
 Character constants
 Type casting: temporary conversion -- does not change value
  in memory
 --------------------------------------------------------- */
#include <iostream>
using namespace std;


void main()
{
     char letter;

		// assign  as character constant
     letter = 'A';
     cout << letter << endl;
     letter = 'B';
     cout << letter << endl;

		// assign as ASCII integer code
     letter = 65;
     cout << letter << endl;
     letter = 66;
     cout << letter << endl;

		// force letter out as integer using a type cast
     cout << int(letter) << endl;


     cout << endl << endl;
     letter = 'A';	// set value back to 'A'

     cout << "             The character A as a letter: " << letter << endl;
     cout << "The decimal integer code for character A: " 
          << int(letter) << endl;

     cout << "    The hexadecimal code for character A: " 
          << hex << int(letter) << endl;

     cout << "          The octal code for character A: " 
          << oct << int(letter) << endl;

}
