/* ------------------------------------------------------------   
    Program : 02_17_Paycheck.cpp
    Date	   : Apr 7, 2004
    
    Description: This program displays the components of a payroll
    summary for an individual.

    Illustrates constant defintion, use of float variables
    and constants.
  ------------------------------------------------------------ */

#include <iostream>	
#include <iomanip>
using namespace std;


const float SOC_SEC = 0.0715f;	 // Remove the 'f' and recompile
const float FED = 0.28f;			
const float STATE = 0.10f;		

void main()
{				
 char  Name[25] = "\0";	
 float Hours, PayRate, GrossPay, NetPay;
 float FICA, Fed_With, State_With, Total_Deduct;

  cout << "This is a payroll program that will calculate an employee's\n"
	  			"GrossPay, deductions, and NetPay. " << endl << endl;

	//Get employee data
  cout << "Please enter the employee's name:  ";
  cin.getline(Name,25);
  cout << "Please enter the number of hours that " << Name << " worked:  ";
  cin >> Hours;
  cout << "Please enter the rate of pay for " << Name << ":  $";
  cin >> PayRate;

	//Make payroll calculations
  GrossPay     = Hours * PayRate;
  FICA         = SOC_SEC * GrossPay;
  Fed_With     = FED * GrossPay;
  State_With   = STATE * GrossPay;
  Total_Deduct = FICA + Fed_With + State_With;
  NetPay       = GrossPay - Total_Deduct;


  cout << fixed << showpoint << setprecision(2)
       << "\nEmployee Name: " << Name
				 << "\n\n\tRate of Pay:\t\t\t$" << setw(6) << PayRate
         << "\n\tHours Worked:\t\t\t " << setw(6) <<Hours
         << "\n\tGrossPay Pay:\t\t\t$" << setw(6) <<GrossPay
         << "\n\tDeductions:"
         << "\n\t\tFICA\t\t\t$" << setw(6) <<FICA
         << "\n\t\tFed. Withholding\t " << setw(6) << Fed_With
         << "\n\t\tState Withholding\t " << setw(6) << State_With
         << "\n\t\t\t\t\t--------"
         << "\n\t\tTotal Deductions\t$" << setw(6) << Total_Deduct
         << "\n\n\tNet Pay\t\t\t\t$" << setw(6) << NetPay 
         << endl << endl;
} 
