/* ------------------------------------------------------------
   
    Program : 03_07_RectPolar.cpp
	Topic	: Identifiers
    Date	: June 16, 2001
    
    Description: This program converts the rectangular coordinates
    of a point in 2-space to polar coordinates.

	Illustrates use of math library functions.
  ------------------------------------------------------------ */

#include <iostream>	
#include <iomanip>	
#include <cmath>	
using namespace std;


const double  PI = 3.14159;

void main()
{ float x, y, M, Angle;

  cout << "This program will convert rectangular vector coordinates\n"
					"to polar vector coordinates. "<< endl << endl;

   cout << "Enter the x coordinate of the vector:  x = ";
   cin >> x;
   cout << "\n\nEnter the y coordinate of the vector:  y = ";
   cin >> y;

   M = sqrt(x * x + y * y);
   Angle = atan(y/x) * 180./PI;


   cout << "\n\n\n" << setw (25) << "POLAR COORDINATE"
				<< setw(40) << "RECTANGULAR COORDINATE " << endl;
   cout << setw(25) << "----------------"
	      << setw(40) << "---------------------- "<< endl << endl;
   cout << fixed << showpoint << setprecision(2)
        << setw(10) << M << " @ " << setw(6) << Angle << " degrees"
	         << setw(23) << x << " + j" << y << endl << endl;
}
