/* ------------------------------------------------------------
   
    Program : 10_18_FileIO.cpp
    Date	: June 17, 2001
    
    Description: This program illustrates the use of streams
    and file input and output.   The behavior of the extraction
    operator with regard to white space is explored.
  ------------------------------------------------------------ */

#include <fstream>
#include <iostream>
#include <cctype>
using namespace std;

void main()
{ char     ch;
  ifstream Input;		
  ofstream Output;		

  Input.open("Lower.txt");     	
  Output.open("Upper.txt"); 
  if ( !Input || ! Output )
    cout <<  "\nCould not open one of the files\n\n";	
 
  Input.get(ch);
  while (!Input.eof())
	{   if (isalpha(ch))
    	ch = ch - 32;
		Output << ch; 			
       Input.get(ch);
	} 

  Input.close();          
  Output.close();         

  cout << "\n\nOpen file Upper.txt to view output" << endl;
} 
