
/* ---------------------------------------------------------
 Program	   : 10_19_Amortization.cpp   
 Topic		: Repetition
 Date		   : Apr 8, 2004
 
 This program produces a loan amortization table.

 
 --------------------------------------------------------- */
#include <iostream>
#include <iomanip>
#include <cmath> 
using namespace std;


void main()
{
     float Loan,         // Loan amount
           Rate,         // Annual interest rate ( 8% entered as .08)
           Years,        // Years of loan
           Balance,      // Monthly balance
           Term,         // Used to calculate payment
           Payment;      // Monthly payment

		 // Ask user for input.
     cout << "Loan amount: $";
     cin >> Loan;
     cout << "\nAnnual Interest Rate: ";
     cin >> Rate;
     cout << "\nYears of loan: ";
     cin >> Years;

		// Calculate monthly payment.
     Term = pow((1 + Rate / 12.0), 12.0 * Years);
     Payment = (Loan * Rate / 12.0 * Term) / (Term - 1.0);
	 cout << fixed << showpoint << left << setprecision(2);
     cout << "Monthly payment: $" << Payment << endl;


		// Display report header.
     cout << endl;
     cout << setw(10) << "Month";
     cout << setw(10) << "Interest";
     cout << setw(10) << "Principal";
     cout << setw(10) << "Balance" << endl;
     cout << "-------------------------------------\n";


		// Produce a listing for each month.
     Balance = Loan;
     for (int Month = 0; Month < (12 * Years); Month++)
     {
          float Minterest, Principal;

          // Calculate monthly interest
          Minterest = Rate / 12 * Balance;
          Principal = Payment - Minterest;
          // Display payment figures
          cout << setw(10) << (Month + 1);
          cout << setw(10) << Minterest;
          cout << setw(10) << Principal;
          cout << setw(10) << Balance << endl;
          // Calculate the new loan balance.
          Balance -= Principal;
          // Accumulate interest
     }
}
