// File: std.hpp
// Date: Mar 02, 2004

#include <iostream>
#include <iomanip>
#include <string>
#include <fstream>
#include <stdexcept>
#include <vector>
#include <cassert>
#include <cctype>

#include <algorithm>
#include <utility>

using std::cout;
using std::cin;
using std::cerr;
using std::getline;

using std::endl;
using std::setw;
using std::setprecision;
using std::fixed;
using std::showpoint;
using std::streamsize;
using std::left;
using std::right;
using std::boolalpha;
using std::setfill;

using std::string;
using std::vector;


using std::ostream;
using std::ofstream;
using std::istream;
using std::ifstream;

using std::domain_error;
using std::logic_error;
using std::underflow_error;
using std::bad_alloc;
using std::invalid_argument;
using std::out_of_range;

using std::copy;
using std::back_inserter;
using std::pair;
using std::make_pair;
using std::swap;