/* ------------------------------------------------------------------
	Program	: Not as smart as Gauss
	File	   : 11_08_Sum.cpp
	Date	   : Apr 8, 2004


  Description: this program sums the first n integers.

  Topics to discuss:
	Value Parameters
	For loop
	Initialization
	Counting
 ------------------------------------------------------------------ */

#include <iostream>       
#include <cassert>         
using namespace std;

int Sum(int n);             

int main()
{  int n;

  cout << "This program computes the sum of the integers from "
          "1 through n.\n";
  cout << "Enter a value for n: ";
  cin >> n;

  cout << "--> 1 + ... + " << n << " = " << Sum(n) << endl;

  return 0;
}



int Sum (int n)
{ int count, runningTotal;

   assert(n > 0);

   for (runningTotal = 0, count = 1; count <= n; count++)
      runningTotal += count;

   return runningTotal;
}

