/* ------------------------------------------------------------------
  
	Program	: 11_09_Factorial.cpp
	Date	   :

  Description: this program introduces the concept of user-defined
  functions with value parameters.
  ------------------------------------------------------------------ */

#include <iostream>      	     
#include <cassert> 
using namespace std;

int Factorial(int n);          


int main()
{ int n = 4;

   while ( n > 0)
   {
	 cout << n << "! = " << Factorial(n) << "\n\n";

     cout << "To compute n!, enter n (a negative number to quit): ";    
     cin >> n;    
   }

   return 0;
}




int Factorial(int m)
/* ------------------------------------------------------------------
   This fcn computes the factorial of a nonnegative integer. 
 ------------------------------------------------------------------ */
 { int product = 1;

   assert(m >= 0);
   for (int count = 2; count <= m; count++)
      product *= count;

   return product;
}

