
/* ---------------------------------------------------------
 Program	   : 11_14_GlobalVar.cpp   
 Topic		: Functions
 Date		   : Apr 9, 2004

 Global variables: dangerous because widely separated program
 segments can change the value of such memory locations.

 Programming principle: localize sections of code which can
 change memory.
 --------------------------------------------------------- */
#include <iostream>
using namespace std;


void Func(); 

int Num = 2; 


void main()
{
	cout << "In main, Num is " << Num << endl << endl;
	Func();
	cout << "Back in main, Num is " << Num << endl << endl;
}



void Func()
{
	cout << "In Func, Num is originally " << Num << endl;
	Num = 50;
	cout << "But, it is now changed to " << Num << endl << endl;
}
