
/* ---------------------------------------------------------
 Program	   : 11_24_Name3.cpp  
 Topic		: Functions
 Date		   : Apr 9, 2004

 Highlight "find" and press F1 to learn more about this 
 string member function.

 --------------------------------------------------------- */

#include <iostream>               
#include <string>       
#include <cassert>                  
using namespace std;

void DecomposeName(const string & fullName, string & firstName,
                   string & middleName, string & lastName);

int main()
{
   cout << "Enter a full name: ";
   string fullName;
   getline(cin, fullName);

   string fName, mName, lName;
   DecomposeName(fullName, fName, mName, lName);

   cout << fName << endl
        << mName << endl
        << lName << endl;

   return 0;
}




void DecomposeName(const string & fullName, string & firstName,
                   string & middleName, string & lastName)
/* DecomposeName breaks down a full name into its 3 parts.
 *
 *  Receive:      fullName, a string
 *  Precondition: fullName contains 3 names separated by blanks
 *  Pass back:    the 3 parts: firstName, middleName and lastName
 *****************************************************************/
{
   int firstBlankIndex = fullName.find(' ', 0);
   assert(firstBlankIndex != string::npos);
   firstName = fullName.substr(0, firstBlankIndex);

   int secondBlankIndex = fullName.find(' ', firstBlankIndex + 1);
   assert(secondBlankIndex != string::npos);
   middleName = fullName.substr(firstBlankIndex + 1, 
                                 secondBlankIndex - firstBlankIndex - 1);

   int fullNameSize = fullName.size();
   lastName = fullName.substr(secondBlankIndex + 1, 
                               fullNameSize - secondBlankIndex - 1);
}

