
/* ---------------------------------------------------------
 Program	: 11_21_DefaultArgs.cpp   
 Topic		: Functions
 Date		: June 18, 2001

 
 This program demonstrates default function arguments. 

 Note: the default arguments can be specified either in 
 the prototype or the definition, but not both.
 --------------------------------------------------------- */
#include <iostream>
using namespace std;


void DisplayStars(int = 10, int = 3);


void main(void)
{
	DisplayStars();
	cout << endl;
	DisplayStars(16);
	cout << endl;
	DisplayStars(11, 7);
}


void DisplayStars(int Cols, int Rows)
// This function displays a rectangle made of asterisks.
{
	for (int Down = 0; Down < Rows; Down++)
	{
		for (int Across = 0; Across < Cols; Across++)
			cout << "*";
		cout << endl;
	}
}
