
/* ---------------------------------------------------------
 Program	: 11_23_RefParms.cpp   
 Topic		: Functions
 Date		: May 24, 2001
 
 This program demonstrates that a change to a function parameter
 that is declared as a reference parameter simultaneously 
 changes the value of the argument used in the invocation. 
 --------------------------------------------------------- */
#include <iostream>
using namespace std;

void ChangeThem(int &, float &);


void main(void)
{
	int   Whole = 12;
	float Real  = 3.5;

	cout << "In main the values of Whole and Real are: " 
         << Whole << "    "  << Real << endl << endl;

	ChangeThem(Whole, Real);	

	cout << "Now after the call to ChangeThem() \n";
	cout << "In main the values of Whole and Real are: " 
         << Whole << "    "  << Real << endl;
}



void ChangeThem(int &I, float &F)
{
    cout << "\n\nChangeThem received the following values: "
         << I << "    "  << F << endl << endl;
	I = 100;
	F = 27.5;	
	cout << "In ChangeThem the value of the first parameter is changed to ";
	cout << I << endl;
	cout << "and the value of the second parameter is changed to " 
         << F << endl << endl;
}
