
/* ---------------------------------------------------------
 Program	   : 12_10_Frequency.cpp   
 Topic		: Structured Data Types
 
 Date		   : Apr 12, 2004

 Roll a six-sided die many times
 --------------------------------------------------------- */
#include <iostream.h>
#include <iomanip.h>
#include <stdlib.h>
#include <time.h>

const int arraySize = 7;
const int N_TIMES = 60000;


int main()
{

   int frequency[ arraySize ] = { 0 };

   srand( time( 0 ) );

   for ( int roll = 0; roll < N_TIMES; roll++ )       
      ++frequency[ 1 + rand() % 6 ]; 
                                     

   cout << "Face" << setw( 13 ) << "Frequency" << endl;

   // ignore element 0 in the frequency array
   for (int face = 1; face < arraySize ; face++ )  
      cout << setw( 4 ) << face
           << setw( 13 ) << frequency[ face ] << endl;

   return 0;
}


