
/* ---------------------------------------------------------
 Program	: 12_26_Intersection.cpp   
 Topic		: Structured Data Types

 Date		: May 24, 2000
 
 This program allows the user to enter two sets of numbers.
 It finds the intersection of the two sets (which is the
 set of numbers contained in both sets). The intersecting
 values are displayed.
 
 --------------------------------------------------------- */
#include <iostream>
using namespace std;


void GetArrays(int [], int []);
int  FindIntersection(int [], int [], int []);
void DisplayIntValues(int [], int);



void main()
{
  int set1[10],			// First set
		set2[10],			// b set
		intersection[10],	// Set containing intersection values
		count;		// Number of values in intersection

	GetArrays(set1, set2);
	count = FindIntersection(set1, set2, intersection);
	DisplayIntValues(intersection, count);
}




void GetArrays(int a[], int b[])
{
	// Get values for first array.
	cout << "Enter 10 values for the first set:\n";
	for (int ndx = 0; ndx < 10; ndx++)
		cin >> a[ndx];
	// Get values for second array.
	cout << "Enter 10 values for the second set:\n";
	for ( ndx = 0; ndx < 10; ndx++)
		cin >> b[ndx];
}



int FindIntersection(int a[], int b[], int x[])
// The following functon accepts three arrays as arguments.
// The first two arrays are scanned, and all values appearing 
// in both are stored in the third array (Intersect). The number 
// of values found in both arrays is returned.
{
	int n = 0, idx = 0;

	for (int andx = 0; andx < 10; andx++)
	{
		for(int bndx = 0; bndx < 10; bndx++)
		{
			if (a[andx] == b[bndx])
			{
				x[idx++] = a[andx];		
				n++;
			}
		}
	}
	return n;
}




void DisplayIntValues(int Intersect[], int Num)
{
	if (!Num)
		cout << "There are no intersecting values.\n";
	else
	{
		cout << "Here is a list of the intersecting values:\n";
		for (int ndx = 0; ndx < Num; ndx++)
			cout << Intersect[ndx] << " ";
		cout << endl;
	}
}

