
/* ---------------------------------------------------------
 Program	   : 12_42_StructRefParm.cpp   
 Topic		: Structured Data Types 
 --------------------------------------------------------- */
#include <iostream>
#include <iomanip>
using namespace std;



struct Student
{
	char  Name[35];	// Student's name
	int   IdNum;	// Student ID number
	int   CrdHrs;	// Credit hours enrolled
	float Gpa;	    // Current GPA
};

void GetData(Student *);  

void main()
{
	Student Freshman;

	GetData(&Freshman);
	cout << "\nHere is the student data you entered:\n";
    cout << fixed << showpoint << setprecision(2);
	// Now display the data stored in Freshman
	cout << "Name: " << Freshman.Name << endl;
	cout << "ID Number: " << Freshman.IdNum << endl;
	cout << "Credit Hours: " << Freshman.CrdHrs << endl;
    cout << "GPA: " << Freshman.Gpa << endl;
}



void GetData(Student *S)
{
	cout << "Enter the following student data:\n";
	cout << "Student Name: ";
	cin.getline(S->Name, 35);
	cout << "Student ID Number: ";
	cin.ignore();  // Ignore the leftover newline
	cin >> S->IdNum;
	cout << "Credit Hours Enrolled: ";
	cin >> S->CrdHrs;
	cout << "Current GPA: ";
	cin >> S->Gpa;
}
