/* ------------------------------------------------------------
    Program : 13_01_UsingFiles.cxx
    Date	   : Apr 12, 2004
    
    Requires: infile.dat (must be in working directory)
  ------------------------------------------------------------ */
#include <iostream>
#include <fstream>
#include <iomanip>
#include <cstdlib>
using namespace std;



int main()
{
    ifstream in_stream;
    ofstream out_stream;

    in_stream.open("infile.dat");
    if (in_stream.fail())
    {
        cout << "Could not open \"infil.dat\".\n\n\n";
        exit(1);
    }

    out_stream.open("outfile.dat");
    if (out_stream.fail())
    {
        cout << "Could not open \"outfile.dat\".\n\n\n";
        exit(1);
    }

		// Read three numbers
    int first, second, third;
    in_stream >> first >> second >> third;

    out_stream << "The numbers read were: \n"
               << setw(5) << first 
               << setw(5) << second
               << setw(5) << third << endl << endl;

    out_stream << "The sum of the first 3\n"
               << "numbers in infile.dat\n"
               << "is " << (first + second + third)
               << endl;

    in_stream.close();
    out_stream.close();

    cout << "\n\nSee outfile.dat for output from this program.\n\n";
    return 0;
}

