/* ------------------------------------------------------------
    Program : 13_08_AddPlusPlus.cpp

    Date	   : Apr 12, 2004

    Requires: FileWithC.txt
  ------------------------------------------------------------ */
#include <iostream>
#include <iomanip>
#include <fstream>
#include <cstdlib>   
using namespace std;



void add_plus_plus(ifstream& in_stream, ofstream& out_stream);

int main()
{
    ifstream fin;
    ofstream fout;

    cout << "Begin editing files.\n";

    fin.open("FileWithC.txt");
    if (fin.fail())
    {
        cout << "Input file opening failed.\n";
        exit(1);
    }

    fout.open("cplusad.dat");
    if (fout.fail())
    {
        cout << "Output file opening failed.\n";
        exit(1);
    }

    add_plus_plus(fin, fout);

    fin.close();
    fout.close();

    cout << "Compare FileWithC.txt and cplusad.dat.\n";
    return 0;
}



void add_plus_plus(ifstream& in_stream, ofstream& out_stream)
{
    char next;

    in_stream.get(next);
    while (! in_stream.eof())
    {
         if (next == 'C')
            out_stream << "C++";
        else
            out_stream << next;

       in_stream.get(next);
    }
}

