
/* ---------------------------------------------------------
 Program	   : 13_09_StreamState.cpp   
 Topic		: File Operations
 --------------------------------------------------------- */
#include <iostream>
#include <fstream>
using namespace std;



void ShowState(fstream &);



void main(void)
{ int num = 10;
  fstream testFile("stuff.dat",ios::out);

	if (testFile.fail())
	{
		cout << "cannot open the file.\n";
		return;
	}

	cout << "Writing to the file.\n";
	testFile << num;	
	ShowState(testFile);
	testFile.close();	


	testFile.open("stuff.dat", ios::in);	
	if (testFile.fail())
	{
		cout << "cannot open the file.\n";
		return;
	}


	cout << "Reading from the file.\n";
	testFile >> num;	
    ShowState(testFile);

	cout << "Forcing a bad read operation.\n";
	testFile >> num;	
	ShowState(testFile);
	testFile.close();	
}




void ShowState(fstream &File)
// Definition of function ShowState. This function uses
// an fstream reference as its parameter. The return values of
// the eof(), fail(), bad(), and good() member functions is 
// displayed. The clear() function is called before the function
// returns.
{
	cout << "File Status:\n";
	cout << "  eof bit: " << File.eof() << endl;
	cout << "  fail bit: " << File.fail() << endl;
	cout << "  bad bit: " << File.bad() << endl;
	cout << "  good bit: " << File.good() << endl;
    cout << endl;
	File.clear();	// Clear any bad bits
}
