
/* ---------------------------------------------------------
 Program	   : 13_12_getline.cpp   
 Topic		: File Operations
 Requires	: names2.txt

 Description: reads a file using three different methods
 --------------------------------------------------------- */
#include <iostream>
#include <fstream>
using namespace std;


void main()
{
	ifstream NameFile;
	char line[81], Ch;

	NameFile.open("names2.txt");
	if (NameFile == 0)
	{
		cout << "File open error!" << endl;
		return;
	}


	while (!NameFile.eof())
	{
		NameFile.getline(line, 81); // use \n as a delimiter
		cout << line << endl;
	}
    cout << endl << endl;
	NameFile.close();


	ifstream DataFile("names2.txt");
	if (DataFile == 0)
	{
		cout << "File open error!" << endl;
		return;
	}


	while (!DataFile.eof())
	{
		DataFile.getline(line, 81, '$');
		cout << line << endl;
	}
    cout << endl << endl;

	DataFile.clear();
    DataFile.seekg(ios::beg);
	while (!DataFile.eof())
	{
		DataFile.get(Ch);
		cout << Ch;
	}

	DataFile.close();
    cout << endl << endl;

}
