
/* ---------------------------------------------------------
 Program	   : 13_17_RdBin.cpp   
 Topic		: File Operations

 Requires	: output from 13_16_Binary.cpp
 
 This program demonstrates the use of a structure variable to
 read a record of information from a file.
 
 --------------------------------------------------------- */
#include <iostream>
#include <fstream>
using namespace std;

struct Info
{
	char Name[51];
	int  Age;
	char Address1[51];
	char Address2[51];
	char Phone[14];
};



void main()
{
	ifstream People;
	Info     person;
	char     again;

	People.open("people.dat", ios::binary);
	if (People == 0)
	{
		cout << "Error opening file. Program aborting.\n";
		return;
	}
	cout << "Here are the people in the file:\n\n";

	People.read((char *)&person, sizeof(person));
	while (!People.eof())
	{
		cout << "Name: ";
		cout << person.Name << endl;
		cout << "Age: ";
		cout << person.Age << endl;
		cout << "Address line 1: ";
		cout << person.Address1 << endl;
		cout << "Address line 2: ";
		cout << person.Address2 << endl;
		cout << "Phone: ";
		cout << person.Phone << endl;

		cout << "\nStrike any key to see the next record.\n";
		cin.get(again);
		People.read((char *)&person, sizeof(person));
	}
	cout << "That's all the information in the file!\n";
	People.close();
}
