
/* ---------------------------------------------------------
 Program	   : 14_08_PtrWArray.cpp   
 Topic		: Pointers

 
 This program uses subscript notation with a pointer and
 pointer notation with an array name.
 
 --------------------------------------------------------- */
#include <iostream>
#include <iomanip>
using namespace std;



void main(void)
{
	float Coins[5] = {0.05, 0.1, 0.25, 0.5, 1.0};
	float *FloatPtr; 
	int   j;     
	
	FloatPtr = Coins; // FloatPtr now points to Coins array

	cout << fixed << showpoint << setprecision(2);
	cout << "Here are the values in the Coins array:\n";
	for (j = 0; j < 5; j++)
		cout << FloatPtr[j] << " ";

	cout << "\nAnd here they are again:\n";
	for (j = 0; j < 5; j++)
		cout << *(Coins + j) << " ";
	cout << endl;

	cout << "\nAnd here they are again:\n";
	for (j = 0; j < 5; j++)
		cout << *(FloatPtr + j) << " ";
	cout << endl;


}
