/* ------------------------------------------------------------ 
    Program : 14_27_BubbleSort.cpp
    
  ------------------------------------------------------------ */
#include <iostream>
#include <iomanip>
#include <cstdio>   
using namespace std;

const int SIZE = 9;

 void Sort(char **Names, int size);
 void Display(char **Names);

void main()
{
   char *Names[] = {"Bob","Andy","Janet","Brenda","Larry","Zane",
										"Andrew","David","Ron",NULL};

   Sort(Names, SIZE);
   Display(Names);
}



void Sort(char **Names, int size)
{
  char *Temp;
  for (int i = 0; i < size; ++i)
    for (int j = i + 1; j < size; ++j)
      if (strcmp(*(Names + i),*(Names + j)) > 0)
      {
				Temp = *(Names + i);
				*(Names + i) = *(Names + j);
				*(Names + j) = Temp;
      } 
} 



void Display(char **Names)
{
  int i = 0;
  while (*(Names + i))
  {
    cout << *(Names + i) << endl;
    ++i;
  } 
} 