// 19_02_lnkList.cpp

#include <iostream>
#include <string>
using namespace std;


struct node
{
  string data;
  node * next;
};


void display(const string &label, node *head)
{
  cout << label << endl;
  node *p = head;
  while( p )
   {  cout << p->data << endl;
      p = p->next;
   }
  cout << endl;
}

void addFront(node *&head, string item)
{
      node *p = new node;
      p->data = item;
      p->next = head;
      head = p;
}

void addRear(node *&head, string item)
{
  node *q, *p = head;

  if( p == NULL)
    { p = new node;
      p->data = item;
      p->next = NULL;
      head = p;
    }

  else
   {  
      while(p)
         { q = p;
           p = p->next;
         }
      p = new node;
      p->data = item;
      p->next = NULL;      
      q->next = p;
   }
}



void destroy(node *head)
{
  node *p = head;
  while (p )
   { node *q = p;
     p = p->next;
     delete q;
   }
}


int main()
{
 string name;
 node *l1 = NULL, *l2 = NULL;
 

 cout << "\nEnter a name: ";
 cin >> name;
 do
   {  addFront(l1, name);
      addRear(l2, name);
      cout << "\nEnter a name (ctrl-Z to quit): ";
      cin >> name;
   } while (name.length() > 0);

 display("List of names l1: ", l1);
 display("List of names l2: ", l2);
  
 destroy(l1);
 destroy(l2);
 return 0;
}

